Skip to main content
PUT
Update a blacklist entry

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The blacklist entry identifier

Body

application/json
reason
enum<string>

The reason of the blacklist entry.

Available options:
rate_limit,
llm_spam,
manual,
security_threat,
abusive_language
note
string | null

Optional note to attach to the blacklist entry.

Maximum string length: 1000
expires_at
string<date-time> | null

The expiry timestamp of the entry. Pass null to convert to a permanent block.

is_active
boolean

Whether the entry is currently active.

metadata
string[] | null

Optional metadata to merge into the entry.

Response

success
string
required
data
ChannelBlacklistResource · object
required